Tool: add-repo-pull-request-review-comment
Add a review comment (inline on diff) to a pull request.
The following code sample shows how to use curl to call the add-repo-pull-request-review-comment MCP tool.
| Curl Request |
|---|
curl --location 'https://developerconnect.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "add-repo-pull-request-review-comment", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for AddGitRepositoryLinkPullRequestReviewComment.
AddGitRepositoryLinkPullRequestReviewCommentRequest
| JSON representation |
|---|
{
"name": string,
"pullRequestId": string,
"comment": {
object ( |
| Fields | |
|---|---|
name |
Required. The resource name of the GitRepositoryLink in the format |
pullRequestId |
Required. The ID of the Pull Request. |
comment |
Required. The review comment to add. |
commitId |
Optional. The commit SHA to comment on. If not specified, defaults to the HEAD commit of the Pull Request. |
PullRequestReviewComment
| JSON representation |
|---|
{
"id": string,
"body": string,
"path": string,
"firstLine": integer,
"lastLine": integer,
"side": enum ( |
| Fields | |
|---|---|
id |
Output only. The ID of the comment. |
body |
Required. The body of the comment. |
path |
Required. The file path to comment on. |
firstLine |
Optional. The first line of the comment range (inclusive). If not specified, the comment applies only to the |
lastLine |
Required. The last line of the comment range (inclusive). If |
side |
Optional. The side of the diff to comment on. Defaults to HEAD. |
author |
Output only. The username of the author. |
createTime |
Output only. When the comment was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. When the comment was updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
commitId |
Output only. The commit SHA the comment was actually applied to. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
DiffSide
DiffSide represents which side of the diff the comment is on.
| Enums | |
|---|---|
DIFF_SIDE_UNSPECIFIED |
Default value. This value is unused. |
BASE |
The side of the diff before changes (deleted or modified lines). |
HEAD |
The side of the diff after changes (added or modified lines). |
Output Schema
Message representing a SCM Pull Request Review Comment (inline on diff).
PullRequestReviewComment
| JSON representation |
|---|
{
"id": string,
"body": string,
"path": string,
"firstLine": integer,
"lastLine": integer,
"side": enum ( |
| Fields | |
|---|---|
id |
Output only. The ID of the comment. |
body |
Required. The body of the comment. |
path |
Required. The file path to comment on. |
firstLine |
Optional. The first line of the comment range (inclusive). If not specified, the comment applies only to the |
lastLine |
Required. The last line of the comment range (inclusive). If |
side |
Optional. The side of the diff to comment on. Defaults to HEAD. |
author |
Output only. The username of the author. |
createTime |
Output only. When the comment was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. When the comment was updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
commitId |
Output only. The commit SHA the comment was actually applied to. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
DiffSide
DiffSide represents which side of the diff the comment is on.
| Enums | |
|---|---|
DIFF_SIDE_UNSPECIFIED |
Default value. This value is unused. |
BASE |
The side of the diff before changes (deleted or modified lines). |
HEAD |
The side of the diff after changes (added or modified lines). |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌